clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::Preprocessor::PreambleSkipInfo Struct Reference

`#include "clang/Lex/Preprocessor.h"`

Collaboration diagram for clang::Preprocessor::PreambleSkipInfo:
[legend]

## Public Member Functions
| PreambleSkipInfo (SourceLocation HashTokenLoc, SourceLocation IfTokenLoc, bool FoundNonSkipPortion, bool FoundElse, SourceLocation ElseLoc)

## Public Attributes
SourceLocation | HashTokenLoc
SourceLocation | IfTokenLoc
bool | FoundNonSkipPortion
bool | FoundElse
SourceLocation | ElseLoc

## Detailed Description

Definition at line 420 of file Preprocessor.h.

## Constructor & Destructor Documentation

## ◆ PreambleSkipInfo()

clang::Preprocessor::PreambleSkipInfo::PreambleSkipInfo | ( | SourceLocation | HashTokenLoc,
|  | SourceLocation | IfTokenLoc,
|  | bool | FoundNonSkipPortion,
|  | bool | FoundElse,
|  | SourceLocation | ElseLoc
| ) |  |
| inline

Definition at line 427 of file Preprocessor.h.

## Member Data Documentation

## ◆ ElseLoc

SourceLocation clang::Preprocessor::PreambleSkipInfo::ElseLoc

Definition at line 425 of file Preprocessor.h.

## ◆ FoundElse

bool clang::Preprocessor::PreambleSkipInfo::FoundElse

Definition at line 424 of file Preprocessor.h.

## ◆ FoundNonSkipPortion

bool clang::Preprocessor::PreambleSkipInfo::FoundNonSkipPortion

Definition at line 423 of file Preprocessor.h.

## ◆ HashTokenLoc

SourceLocation clang::Preprocessor::PreambleSkipInfo::HashTokenLoc

Definition at line 421 of file Preprocessor.h.

## ◆ IfTokenLoc

SourceLocation clang::Preprocessor::PreambleSkipInfo::IfTokenLoc

Definition at line 422 of file Preprocessor.h.

The documentation for this struct was generated from the following file:

- include/clang/Lex/Preprocessor.h